# RippledNotInitializedError | xrpl
Documentation for xrpl

# Class RippledNotInitializedError

Error thrown when rippled is not initialized.

#### Hierarchy

- ConnectionError
  - RippledNotInitializedError

- Defined in packages/xrpl/src/errors.ts:99

#####
Index

### Constructors

constructor

### Properties

data?
message
name
stack?
prepareStackTrace?
stackTraceLimit

### Methods

inspect
toString
captureStackTrace

## Constructors

### constructor

- new RippledNotInitializedError(message?, data?): RippledNotInitializedError

- Construct an XrplError.

  #### Parameters

  - ##### message: string = ''

    The error message.

  - ##### `Optional` data: unknown

    The data that caused the error.

    `Optional`

  #### Returns RippledNotInitializedError

  Inherited from ConnectionError.constructor

  - Defined in packages/xrpl/src/errors.ts:21

## Properties

### `Optional` `Readonly` data

data?: unknown

Inherited from ConnectionError.data

- Defined in packages/xrpl/src/errors.ts:13

### `Readonly` message

message: string

Inherited from ConnectionError.message

- Defined in packages/xrpl/src/errors.ts:12

### `Readonly` name

name: string

Inherited from ConnectionError.name

- Defined in packages/xrpl/src/errors.ts:11

### `Optional` stack

stack?: string

Inherited from ConnectionError.stack

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1055

### `Static` `Optional` prepareStackTrace

prepareStackTrace?: ((err, stackTraces) => any)

#### Type declaration

- - (err, stackTraces): any

  - Optional override for formatting stack traces

    #### Parameters

    - ##### err: Error

    - ##### stackTraces: CallSite[]

    #### Returns any

    #### See

    https://v8.dev/docs/stack-trace-api#customizing-stack-traces

Inherited from ConnectionError.prepareStackTrace

- Defined in node_modules/@types/node/globals.d.ts:11

### `Static` stackTraceLimit

stackTraceLimit: number

Inherited from ConnectionError.stackTraceLimit

- Defined in node_modules/@types/node/globals.d.ts:13

## Methods

### inspect

- inspect(): string

- Console.log in node uses util.inspect on object, and util.inspect allows us to customize its output: https://nodejs.org/api/util.html#util_custom_inspect_function_on_objects.

  #### Returns string

  The String output of the Error.

  Inherited from ConnectionError.inspect

  - Defined in packages/xrpl/src/errors.ts:54

### toString

- toString(): string

- Converts the Error to a human-readable String form.

  #### Returns string

  The String output of the Error.

  Inherited from ConnectionError.toString

  - Defined in packages/xrpl/src/errors.ts:38

### `Static` captureStackTrace

- captureStackTrace(targetObject, constructorOpt?): void

- Create .stack property on a target object

  #### Parameters

  - ##### targetObject: object

  - ##### `Optional` constructorOpt: Function

    `Optional`

  #### Returns void

  Inherited from ConnectionError.captureStackTrace

  - Defined in node_modules/@types/node/globals.d.ts:4

Generated using TypeDoc